View Issue Details

IDProjectCategoryView StatusLast Update
15228Bug reports[All Projects] Print Viewpublic2019-09-06 10:47
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary15228: This survey throw a Error when try to print
Description

This survey : array dual + multiple text + some equation trow an DB error when try to print
Property "SurveyDynamic.138378X977X16179AND#0" is not defined.

Steps To Reproduce

Impoirt lss
Activate
Launch
Submit
Click print
See the error

Additional Information

Checked a simple array dual : it's OK with or without relevance, then something else …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.14 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb + mssql
Server OS (if known)fedora/linux and windows
Webserver software & version (if known)nginx and IIS
PHP VersionPHP7.0 or PHP7.2

Relationships

related to 15229 closedmarkusfluer Subquestions do not have GID changed once the parent question is moved 

Activities

DenisChenu

DenisChenu

2019-09-04 17:47

developer  

CException.html (24,116 bytes)
limesurvey_survey_arrayDual.lss (21,193 bytes)
cdorin

cdorin

2019-09-04 17:57

manager   ~53435

Cannot reproduce on latest master (ubuntu 18.04, nginx, mariadb, php from official repo)

DenisChenu

DenisChenu

2019-09-04 18:02

developer   ~53436

OK : gid is outdated , survey was done with 3.17.9, but import lss didn't fix it

check data integrity fix the issue

DenisChenu

DenisChenu

2019-09-04 18:04

developer   ~53438

Imported again on Fedora/linux mariadb : have the issue before Check data integrity …

cdorin

cdorin

2019-09-04 18:04

manager   ~53439

Last edited: 2019-09-04 18:05

View 3 revisions

Ok. Thx for the report.

I also have some issues with gid not getting correctly updated : [[15229]]

DenisChenu

DenisChenu

2019-09-04 18:07

developer   ~53440

Yes : checked again …
And Check integrity throw 500 on my client server … (me hate IIS)

I try to import fixed LSS (after Check integrity done)

cdorin

cdorin

2019-09-04 18:09

manager   ~53441

So, still not working? Only on IIS?

DenisChenu

DenisChenu

2019-09-04 18:11

developer   ~53442

Imported again on Fedora/linux mariadb : have the issue before Check data integrity …

I just import the lss on mariadb … Still not working (except if i Check data integrety)

DenisChenu

DenisChenu

2019-09-04 18:13

developer   ~53444

Yes totally related : i send a fix for this issue in PUll request.

DenisChenu

DenisChenu

2019-09-05 08:00

developer   ~53451

https://github.com/LimeSurvey/LimeSurvey/pull/1317 at pull request

DenisChenu

DenisChenu

2019-09-05 13:45

developer   ~53465

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29094

lime_release_bot

lime_release_bot

2019-09-06 10:47

developer   ~53490

Fixed in Release 3.17.16+190906

Related Changesets

LimeSurvey: master 3f839ffe

2019-09-05 13:45:09

DenisChenu


Committer: markusfluer Details Diff
Fixed issue 15228: This survey throw a Error when try to print (#1317)

Dev: Use parents relation to be sure to have fixed gid
Affected Issues
15228
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2019-09-04 17:47 DenisChenu New Issue
2019-09-04 17:47 DenisChenu File Added: CException.html
2019-09-04 17:47 DenisChenu File Added: limesurvey_survey_arrayDual.lss
2019-09-04 17:47 DenisChenu Description Updated View Revisions
2019-09-04 17:57 cdorin Note Added: 53435
2019-09-04 18:02 DenisChenu Note Added: 53436
2019-09-04 18:04 cdorin Relationship added related to 15229
2019-09-04 18:04 DenisChenu Note Added: 53438
2019-09-04 18:04 cdorin Note Added: 53439
2019-09-04 18:05 cdorin Note Edited: 53439 View Revisions
2019-09-04 18:05 cdorin Note Edited: 53439 View Revisions
2019-09-04 18:07 DenisChenu Note Added: 53440
2019-09-04 18:09 cdorin Note Added: 53441
2019-09-04 18:11 DenisChenu Note Added: 53442
2019-09-04 18:13 DenisChenu Note Added: 53444
2019-09-05 08:00 DenisChenu Note Added: 53451
2019-09-05 12:02 cdorin Assigned To => markusfluer
2019-09-05 12:02 cdorin Status new => assigned
2019-09-05 13:45 markusfluer Changeset attached => LimeSurvey master 3f839ffe
2019-09-05 13:45 DenisChenu Note Added: 53465
2019-09-05 13:45 DenisChenu Assigned To markusfluer => DenisChenu
2019-09-05 13:45 DenisChenu Resolution open => fixed
2019-09-05 13:45 markusfluer Status assigned => resolved
2019-09-05 13:45 markusfluer Fixed in Version => 3.17.x
2019-09-06 10:47 lime_release_bot Note Added: 53490
2019-09-06 10:47 lime_release_bot Status resolved => closed